
*{
box-sizing: border-box;
}
body{
margin:0;
padding:0;
background-color: fafafa;
}
header{
display: flex;
justify-content: left;
align-items: left;
height: 20vh;
width: 100vw;
color: #ad052a;
background-color: #105;
background-size: cover;
background-repeat: no-repeat;
background-position: center;
background-attachment: fixed;
}
header h1{
	margin:50px;
	
}

nav{
background-color: #333;
width: 100vw;
display:flex;
justify-content:space-evenly;
position:sticky;
top: 10px;
z-index: 10;
}
body{
  background-image: url('typeshi.jpg');
}
main,article,section{
width: 80vw;
position:relative;
margin:5vh auto;
padding: 20px;
border-radius: 10px 30px;
border: 1px solid white;
box-shadow: 15px 15px 25px 0px #333;
background-size: cover;
background-repeat: no-repeat;
background-position: center;
background-attachment: fixed;
}
footer{
height:10vh;
background-color: #333;
display: flex;
justify-content: center;
align-items: center;
width: 100vw;
}
nav a{
  font-size: 2vw;
  color: #eee;
  text-decoration: none;
  transition: .5s;
}
nav a:hover{
  text-decoration: underline;
  color:#ad052a;
}
html{
scroll-behavior:smooth;
scroll-padding-top:80px;
}
h2{
background-color: #222;
color: #fafafa;
position:absolute;
bottom:10px;
right: -30px;
padding: 10px 30 px;
border-radius: 0 10px 10px 0;
}
#onas{
background-image: url('leaves.jpg')
}
#info{
background-image: url('sunflowers.jpg')
}
#kontakt{
background-image: url('rose.jpg')
}
#top{
background-image: url('brum.jfif')
}
p{
display: flex;
justify-content: center;
font-size: 150%;
color: #fff;
padding: 10px 30px;
text-align: justify;
text-indent: 30px;
margin: 50px;
text-shadow: 0 0 5px #fff;

}
p a{
  font-size: 2vw;
  color: #eee;
  text-decoration: none;
  transition: .5s;
}
p a:hover{
  text-decoration: underline;
  color:#ad052a;
}
.carousel {
  width: 100%;
  display: flex;
  gap: 20px;
  overflow-x: auto;
  padding: 20px;
  scroll-behavior: smooth;
  padding-bottom: .1em;
  margin-bottom: .1em;
  cursor: pointer;
}
.carousel::-webkit-scrollbar {
  display: none;
}
.carousel::scroll-button(right){
 content: '>';
 border: none;
 background-color: grey;
 font-family: Consolas;
 font-size: 3em;
 color: white;
 height: 50px;
 width: 50px;
 border-radius: 50%;
}
.carousel::scroll-button(left){
 content: '<';
 border: none;
 background-color: grey;
 font-family: Consolas;
 font-size: 3em;
 color: white;
 height: 50px;
 width: 50px;
 border-radius: 50%;
 padding-bottom: .1em;
 margin-bottom: .1em;
 cursor: pointer;
}

.card {
  flex: 0 0 40em;
  width: 50%;
  height: 400px;
  background-color: #333;
  border-radius: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  font-size: 20px;
}
.card video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}